Working with ReSharper 7.1.1000.900

Jan 3, 2013 at 6:02 AM

I'd like to ask if latest style cop is working with ReSharper 7.1.1000.900?

Jan 3, 2013 at 6:09 PM

It has been working for me.  A coworker just installed the latest R# and StyleCop and got a warning that he had an unsupported version of R# installed.  That prompted me to check all my versions, and I can verify that 4.7.42 appears to work with R# 7.1.1000.900.

Jan 4, 2013 at 1:33 AM
Edited Jan 4, 2013 at 1:33 AM

My experience is that StyleCop versions are fairly closely tied to specific R# releases, and while certain things may work when they are not in sync, it is difficult to predict what impact running against an updated R# API will have on StyleCop. Andy has said he plans to push out an update soon that includes compatibility with the latest R# release (http://stylecop.codeplex.com/workitem/7469)

I have had some luck in the past recompiling the existing source code against the updated R# assemblies, but again it usually depends on the level of changes to the public R# api.

JF

 

Coordinator
Jan 11, 2013 at 10:23 AM

4.7.43.0 is built against 7.1.1000.900